Subject: Re: bug#2675: 23.0.91; unnecessary vc-next-action conflicts in vc-dir directory

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 15 Mar 2009 02:20:50 -0700 (PDT)

Miles Bader <[email-masked]> writes:

  > [Note: I have Dan's patch for fixing whole-directory vc-dir commit in
  > Git applied, though I don't think it should affect the following, as it
  > relates to final commit.]
  > 
  > If I have a vc-dir buffer showing a tree with some "up-to-date" entries
  > from previously committed files, and also some entries for newly changed
  > files:
  > 
  >    VC backend : Git
  >    Working dir: /tmp/zonk/
  >    Branch     : master
  > 
  >                             ./
  >         up-to-date          newf2
  >         up-to-date          newf3
  >         unregistered        newf4
  >         up-to-date          ppling
  > 
  > Then hitting "v" on the first line of the buffer gives the following
  > error:
  > 
  >    vc-dir-deduce-fileset: /tmp/zonk/newf4:unregistered clashes with /tmp/zonk/newf2:up-to-date
  > 
  > This seems like a silly and pointless error -- it should probably simply
  > ignore any "up-to-date" entries when checking for conflicts.

If you look at vc-next-action, you'll see that it's possible to do
things to files in the 'up-to-date state, and it's not the same as what
it's done to unregistered files.

vc-next-action wants to treat all the files the same, that's the reason
for this check.